Default ICQ settings are wrong

RESOLVED FIXED in 1.1

Status

Chat Core
General
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: Instantbot, Assigned: clokep)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [1.1-blocking])

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 894 by Dell An <kiky.widya95 AT yahoo.com> at 2011-07-05 13:38:00 UTC ***

I have a right ICQ email and password, but I can't login to ICQ in Instantbird. Please fix this.
(Assignee)

Comment 1

4 years ago
*** Original post on bio 894 at 2011-07-05 17:00:42 UTC ***

(In reply to comment #0)
> I have a right ICQ email and password, but I can't login to ICQ in Instantbird.
> Please fix this.

I see you checked off version 0.1, is this truly the version you're using or are you using 1.0? You can check this by going to "Help" > "About".

If you ARE using 0.1, please upgrade to 1.0 from http://www.instantbird.com and let us know if you're still having the problem.

If you ARE using 1.0, please let us know what the options in the advanced menu are: go to the account manager ("Tools" > "Accounts"), click "Properties" for your ICQ account, switched to the "Advanced" tab and let us know what the options are, thanks!
(Reporter)

Updated

4 years ago
Version: 0.1 → 1.0
(Assignee)

Comment 2

4 years ago
*** Original post on bio 894 at 2011-07-06 21:40:55 UTC ***

It seems like you are using 1.0 then, can you please tell us your ICQ settings:
(In reply to comment #1)
> If you ARE using 1.0, please let us know what the options in the advanced menu
> are: go to the account manager ("Tools" > "Accounts"), click "Properties" for
> your ICQ account, switched to the "Advanced" tab and let us know what the
> options are, thanks!
(Assignee)

Comment 3

4 years ago
*** Original post on bio 894 at 2011-07-07 00:49:29 UTC ***

I just had someone come into IRC asking about this as well and it seems the proper settings are:

Server: login.icq.com
Port: 5190
Connection security: Don't use encryption
Use clientLogin: unticked --or-- ticked

--or--

Server: slogin.icq.com
Port: 5190
Connection security: Use encryption if available
Use clientLogin: ticked

Our default settings for reference are:
Server: slogin.icq.com
Port: 5190
Connection security: Use encryption if available
Use clientLogin: unticked

This is certainly a problem we'll need to check out again after upgrading libpurple.
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Assignee)

Updated

4 years ago
Summary: Can't login to ICQ → Default ICQ settings are wrong
Whiteboard: [1.1-blocking]
(Assignee)

Comment 4

4 years ago
Created attachment 8352569 [details] [diff] [review]
Patch v1.0

*** Original post on bio 894 as attmnt 826 at 2011-09-16 01:58:00 UTC ***

OK, so I've looked into this. For the SSL servers, ICQ needs clientLogin, AIM does not. This splits the default use of clientLogin for ICQ/AIM instead of using the same for both.
Attachment #8352569 - Flags: review?(florian)
(Assignee)

Updated

4 years ago
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8352569 [details] [diff] [review]
Patch v1.0

*** Original change on bio 894 attmnt 826 at 2011-09-16 09:51:16 UTC ***

>diff --git a/purple/libpurple/protocols/oscar/oscar.c b/purple/libpurple/protocols/oscar/oscar.c

>@@ -5823,9 +5823,8 @@ void oscar_init(PurplePlugin *plugin, gb
> 	purple_prefs_remove("/plugins/prpl/oscar/show_idle");
> 	purple_prefs_remove("/plugins/prpl/oscar/always_use_rv_proxy");
> 
> 	/* protocol handler */
> 	/* TODO: figure out a good instance to use here */
> 	purple_signal_connect(purple_get_core(), "uri-handler", &init,
> 		PURPLE_CALLBACK(oscar_uri_handler), NULL);
> }
>-

This hunk isn't wanted.

Looks OK otherwise. Let's just hope the working settings won't change again within a week of us releasing this!
Attachment #8352569 - Flags: review?(florian) → review+
(Assignee)

Comment 6

4 years ago
*** Original post on bio 894 at 2011-09-16 11:55:50 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/d0e96467b965 (without the unwanted hunk -- sorry about that!)

Hopefully ICQ is more stable with their servers. This should probably be upstreamed.
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Component: Account manager → General
OS: Windows XP → All
Product: Instantbird → Chat Core
Hardware: x86 → All
Resolution: --- → FIXED
Target Milestone: --- → 1.1
(Assignee)

Comment 7

4 years ago
*** Original post on bio 894 at 2011-09-16 12:24:36 UTC ***

(In reply to comment #6)
> Hopefully ICQ is more stable with their servers. This should probably be
> upstreamed.

flo informed me that Pidgin just uses clientLogin for both AIM and ICQ, but it's unstable or doesn't work with the Adium/libpurple keys anymore or something. So this is probably /not/ upstreamable.
You need to log in before you can comment on or make changes to this bug.